API Documentation
Toggle TOC panel
<access-service>/api/v1/organisations/{orgId}/groups/{groupId}/labels

URL structure

1 https://access-service.xy-company.com/api/v1/organisations/{orgId}/groups/{groupId}/labels

where {orgId} is the ID of an organization and {groupId} is the ID of one of this organization's groups.

Supported methods and overview

  • GET - retrieves a list of information for all classifications that are currently associated with a group (specified by groupId) in an organization (specified by orgId).

Note: This method takes no parameters.

Detailed description

This API endpoint retrieves a list of information for all classifications that are currently associated with a group (specified by groupId) in an organization (specified by orgId).

A group's ID can be obtained by calling the GET method of the <access-service>/api/v1/organisations/{orgId}/groups API endpoint, which retrieves a list of information for all groups in the organization (specified by orgId).

Supported roles and conditions

This API endpoint supports requests utilizing Covata user accounts with the following roles (as described in the Organization Administrator's Guide) and conditions:

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token submitted in the header of requests to this endpoint.

Required headers

The appropriate access token as the Bearer token:

  • Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...

Returns

A JSON-formatted response containing the following members:

  • items - .
  • id - .
  • name - .
  • priority - .
  • applyI18n - .
  • count - .
  • offset - .

    Example (response):

    {
    "items": [{
    "id": "766862496543055872",
    "name": {
    "value": "Unclassified"
    },
    "priority": "3",
    "applyI18n": false
    }, {
    "id": "766860228984872960",
    "name": {
    "value": "Restricted/Protected"
    },
    "priority": "2",
    "applyI18n": false
    }],
    "count": "2",
    "offset": "0"
    }